StarObjectSmallGraphicInternal::SdrGraphicUno Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicUno Class Reference

Internal: virtual class to store a Sdr graphic uno. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicUno:

## Public Member Functions
| SdrGraphicUno ()
| constructor More...
virtual std::string | print () const
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
| SdrGraphicRect (int id)
| constructor More...
bool | send (STOFFListenerPtr listener, StarObject &object)
| try to send the graphic to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor More...
void | updateTransformProperties (librevenge::RVNGPropertyList &list) const
| try to update the transformation More...
bool | sendTextZone (STOFFListenerPtr listener, StarObject &object)
| try to send the text zone to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &object, STOFFListenerPtr listener) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &, STOFFListenerPtr) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...

## Public Attributes
librevenge::RVNGString | m_unoName
| the uno name More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
int | m_eckRag
| the eckRag? More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind More...
STOFFBox2i | m_textRectangle
| the text rectangle More...
int | m_textDrehWink
| the dreh wink: rotation? More...
int | m_textShearWink
| the shear wink More...
shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object More...
STOFFBox2i | m_textBound
| the text bound More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< shared_ptr< StarItem > > | m_itemList
| the list of star item More...
librevenge::RVNGString | m_sheetStyle
| the sheet style name More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicUno const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic uno.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SdrGraphicUno::SdrGraphicUno | ( |  | ) |
| inline

constructor

## Member Function Documentation

virtual std::string StarObjectSmallGraphicInternal::SdrGraphicUno::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicRect.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SdrGraphicUno const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicUno::m_unoName

the uno name

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx